> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Roles

> Get all user roles.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/user_roles
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/user_roles:
    get:
      tags:
        - users
      summary: Get User Roles
      description: Get all user roles.
      operationId: get_user_roles_v2_user_roles_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UserRoleInfo'
                type: array
                title: Response Get User Roles V2 User Roles Get
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    UserRoleInfo:
      properties:
        name:
          $ref: '#/components/schemas/UserRole'
          examples:
            - admin
        display_name:
          type: string
          title: Display Name
          examples:
            - Admin
        description:
          type: string
          title: Description
          examples:
            - Full access
      type: object
      required:
        - name
        - display_name
        - description
      title: UserRoleInfo
    UserRole:
      type: string
      enum:
        - admin
        - manager
        - user
        - read_only
      title: UserRole
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````